org.apache.ignite.internal.processors.cache.persistence.diagnostic.pagelocktracker

## Interface PageLockDump

All Known Implementing Classes:
  PageLockLogSnapshot, PageLockStackSnapshot, ThreadPageLocksDumpLock

    public interface PageLockDump

Interface for page lock tracker structures dump.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `apply(DumpProcessor dumpProcessort)`
`long` `time()`

### Method Detail

#### apply

    void apply(DumpProcessor dumpProcessort)

Parameters:
  `dumpProcessort` - Apply dump processor.

#### time

    long time()

Returns:
  Dump creation time.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021